/**
 * DuMP3 version morpheus_0.2.9 - a duplicate/similar file finder in Java<BR>
 * Copyright 2005 Alexander Gr&auml;sser<BR>
 * All Rights Reserved, http://dump3.sourceforge.net/<BR>
 * <BR>
 * This file is part of DuMP3.<BR>
 * <BR>
 * DuMP3 is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later version.<BR>
 * <BR>
 * DuMP3 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.<BR>
 * <BR>
 * You should have received a copy of the GNU General Public License along with DuMP3; if not, write to the Free Software Foundation, Inc., 51 Franklin St,
 * Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.za.grasser.duplicate.util;

/**
 * This interface defines some commonly used constants.
 * 
 * @author <a href="http://sourceforge.net/sendmessage.php?touser=733840">pyropunk at sourceforge dot net</a>
 * @version $Revision: 1.5 $
 */
public final class Constants {
  /**
   * <code>SIZE_OF_INT</code> Constants - an integer is 4 bytes long
   */
  public static final int SIZE_OF_INT = 4;
  /**
   * <code>BUFFER_SIZE</code> Constants -
   */
  public static final int BUFFER_SIZE = 2097152;
  /**
   * <code>LS</code> FingerprintFile -
   */
  public static final String LS = System.getProperty("line.separator");

  /**
   * @param obj
   * @return String
   * @modelguid {E440866E-6C37-49CC-8B8A-E6645E19C3B1}
   */
  public static String getClassName(final Object obj) {
    final String s = obj.getClass().getName();
    return s.substring(s.lastIndexOf('.') + 1);
  }
}
