/**
 * DuMP3 version morpheus_0.2.9 - a duplicate/similar file finder in Java<BR>
 * Copyright 2005 Alexander Gr&auml;sser<BR>
 * All Rights Reserved, http://dump3.sourceforge.net/<BR>
 * <BR>
 * This file is part of DuMP3.<BR>
 * <BR>
 * DuMP3 is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later version.<BR>
 * <BR>
 * DuMP3 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.<BR>
 * <BR>
 * You should have received a copy of the GNU General Public License along with DuMP3; if not, write to the Free Software Foundation, Inc., 51 Franklin St,
 * Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.za.grasser.duplicate.gui.beans;

import java.awt.Component;
import java.awt.Dimension;
import java.beans.PropertyDescriptor;
import java.beans.PropertyEditorSupport;
import org.eclipse.swt.widgets.Composite;

/**
 * Base class of all SWT based property editors.
 * 
 * @author <a href="http://sourceforge.net/sendmessage.php?touser=733840">pyropunk at sourceforge dot net</a>
 * @version $Revision: 1.2 $
 */
public class SWTEditorSupport extends PropertyEditorSupport {
  /**
   * <code>panel</code> SWTEditorSupport - Component which holds the editor. Subclasses are responsible for instantiating this panel.
   */
  protected Composite panel;
  /**
   * <code>MEDIUM_DIMENSION</code> SWTEditorSupport -
   */
  protected static final Dimension MEDIUM_DIMENSION = new Dimension(120, 20);
  /**
   * <code>SMALL_DIMENSION</code> SWTEditorSupport -
   */
  protected static final Dimension SMALL_DIMENSION = new Dimension(50, 20);

  /**
   * 
   */
  public SWTEditorSupport() {
    super();
  }

  /**
   * @param pSource
   */
  public SWTEditorSupport(final Object pSource) {
    super(pSource);
  }

  /**
   * Returns the panel responsible for rendering the PropertyEditor.
   * 
   * @return null
   */
  @Override
  public Component getCustomEditor() {
    return null;
  }

  /**
   * @see java.beans.PropertyEditorSupport#supportsCustomEditor()
   */
  @Override
  public boolean supportsCustomEditor() {
    return true;
  }

  // 
  /**
   * layout stuff
   * 
   * @param c
   */
  protected final void setAlignment(final Composite c) {
    // c.setLayout(arg0);
  }

  /**
   * For property editors that must be initialized with values from the property descriptor.
   * 
   * @param descriptor
   */
  public void init(final PropertyDescriptor descriptor) {
    // do nothing
  }
}
